Loading...
Searching...
No Matches
point.c File Reference
`#include "arc/math/point.h"`

Go to the source code of this file.

## Functions

ARC_FPoint | ARC_FPoint_Lerp (ARC_FPoint *start, ARC_FPoint *end, float t)

## Function Documentation

## ARC_FPoint_Lerp()

ARC_FPoint ARC_FPoint_Lerp | ( | ARC_FPoint * | start,
|  | ARC_FPoint * | end,
|  | float | t )

Definition at line 3 of file point.c.

{
return (ARC_FPoint){
(1.0f - t) * start->x + t * end->x,
(1.0f - t) * start->y + t * end->y
};
}
ARC_FPoint
Definition point.h:20
ARC_FPoint::x
float x
Definition point.h:21
ARC_FPoint::y
float y
Definition point.h:22

References ARC_FPoint::x, and ARC_FPoint::y.